#ifndef HDC1080SENSOR_H
#define HDC1080SENSOR_H

#include "i2cSensor.h"
#include "ClosedCube_HDC1080.h" // Include the HDC1080 library

class HDC1080Sensor : public i2cSensor {
public:
    explicit HDC1080Sensor(uint8_t address = 0x40); // Constructor with default I2C address

    void init() override; // Override init method from i2cSensor

    // Override methods from Sensor
    std::string getName() const override;
    std::vector<ReadingType> getFeatures() const override;
    float readValue(ReadingType feature) override;

private:
    ClosedCube_HDC1080 hdc1080_; // HDC1080 object
};

#endif // HDC1080SENSOR_H
