#ifndef SENSOR_H
#define SENSOR_H

#include <string>
#include <vector>
#include "ReadingType.h"

// Abstract base class for sensors
class Sensor {
public:
    virtual ~Sensor() {}
    virtual std::string getName() const = 0;
    virtual std::vector<ReadingType> getFeatures() const = 0;
    virtual float readValue(ReadingType feature) = 0;
};

#endif // SENSOR_H
