#include "HDC1080Sensor.h"

HDC1080Sensor::HDC1080Sensor(uint8_t address) {
    i2c_address = address; // Set the I2C address from the base class
}

void HDC1080Sensor::init() {
    hdc1080_.begin(i2c_address); // Initialize HDC1080 sensor with the specified address
}

std::string HDC1080Sensor::getName() const {
    return "HDC1080";
}

std::vector<ReadingType> HDC1080Sensor::getFeatures() const {
    return {ReadingType::Temperature, ReadingType::Humidity};
}

float HDC1080Sensor::readValue(ReadingType feature) {
    switch (feature) {
        case ReadingType::Temperature:
            return hdc1080_.readTemperature();
        case ReadingType::Humidity:
            return hdc1080_.readHumidity();
        default:
            return NAN; // Return NaN for unsupported features
    }
}
